Package uk.ac.starlink.topcat.plot

# Class MarkStyleEditor

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
uk.ac.starlink.topcat.plot.StyleEditor
uk.ac.starlink.topcat.plot.MarkStyleEditor

All Implemented Interfaces:
  `ActionListener`, `ImageObserver`, `MenuContainer`, `Serializable`, `EventListener`, `Accessible`, `ChangeListener`

public class MarkStyleEditor extends StyleEditor
StyleEditor implementation for editing `MarkStyle` objects.

Since:
  10 Jan 2005
Author:
  Mark Taylor
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class javax.swing.JPanel

`JPanel.AccessibleJPanel`

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`MarkStyleEditor(boolean withLines, boolean withTransparency, uk.ac.starlink.ttools.plot.ErrorRenderer[] errorRenderers, uk.ac.starlink.ttools.plot.ErrorRenderer defaultRenderer, ErrorModeSelectionModel[] errorModeModels)`
Constructs a style editor with optional error style selection.

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpID()`
Returns the help ID associated with this editor.
`Icon`
`getLegendIcon()`
Returns the icon to be used for the display legend of this editor.
`uk.ac.starlink.ttools.plot.Style`
`getStyle()`
Returns a style object derived from the current state of this component.
`protected void`
`refreshState()`
Ensures that all the visual components of this editor match its internal state.
`void`
`setStats(SetId[] setIds, uk.ac.starlink.ttools.plot.XYStats[] stats)`
Sets the known statistical information about a list of plottable sets.
`void`
`setStyle(uk.ac.starlink.ttools.plot.Style style)`
Sets the style.

### Methods inherited from class uk.ac.starlink.topcat.plot.StyleEditor

`actionPerformed, addActionListener, cancelChanges, getHideLegend, getLabel, getSetId, init, removeActionListener, setSetId, setState, setVisible, stateChanged`

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MarkStyleEditor

public MarkStyleEditor(boolean withLines, boolean withTransparency, uk.ac.starlink.ttools.plot.ErrorRenderer[] errorRenderers, uk.ac.starlink.ttools.plot.ErrorRenderer defaultRenderer, ErrorModeSelectionModel[] errorModeModels)
Constructs a style editor with optional error style selection.

Parameters:
  `withLines` - whether to show a panel for selecting line styles
  `withTransparency` - whether to show a control for selecting marker opacity
  `errorRenderers` - array of error renderers to choose from
  `defaultRenderer` - default error renderer to use if no other is known
  `errorModeModels` - array of error mode selectors, one per dimension of the error bars

## Method Details

### setStyle

public void setStyle(uk.ac.starlink.ttools.plot.Style style)
Description copied from class: `StyleEditor`
Sets the style. Implementations should configure their visual state so that it matches the characteristics of the given style.

Specified by:
  `setStyle` in class `StyleEditor`
Parameters:
  `style` - current style

### getStyle

public uk.ac.starlink.ttools.plot.Style getStyle()
Description copied from class: `StyleEditor`
Returns a style object derived from the current state of this component.

Specified by:
  `getStyle` in class `StyleEditor`
Returns:
  current (edited) style

### getHelpID

public String getHelpID()
Description copied from class: `StyleEditor`
Returns the help ID associated with this editor.

Specified by:
  `getHelpID` in class `StyleEditor`
Returns:
  ID within TOPCAT HelpSet

### setStats

public void setStats(SetId[] setIds, uk.ac.starlink.ttools.plot.XYStats[] stats)
Sets the known statistical information about a list of plottable sets. This represents information about calculated linear regression coefficients.

Parameters:
  `setIds` - set identifiers for the statistics objects provided
  `stats` - statistics objects themselves, one per element of `setIds`

### refreshState

protected void refreshState()
Description copied from class: `StyleEditor`
Ensures that all the visual components of this editor match its internal state.

Overrides:
  `refreshState` in class `StyleEditor`

### getLegendIcon

public Icon getLegendIcon()
Description copied from class: `StyleEditor`
Returns the icon to be used for the display legend of this editor.

Overrides:
  `getLegendIcon` in class `StyleEditor`
Returns:
  legend icon